{% extends 'base.html.twig' %}

{% block title 'Agence Lorem Ipsum' %}

{% block body %}
  <div class="jumbotron text-center">
    <h1>Agence Lorem Ipsum</h1>
    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce tempus efficitur pretium. Praesent sollicitudin
      fermentum quam, id euismod urna efficitur at. In volutpat ante et sollicitudin placerat. Etiam iaculis justo quis
      ante consectetur fringilla. In id blandit metus.</p>
  </div>

  <div class="container">
    <h2>Les derniers biens</h2>
    <div class="row flex">
      {% for property in properties %}
      <div class="col-3">
        <div class="card">
          {% if property.filename %}
            <img src="{{ vich_uploader_asset(property, 'imageFile') | imagine_filter('thumb') }}" class="card-img-top" style="width:100%; height:auto;">
          {% else %}
            <img src="{{ '/images/properties/default.jpg' | imagine_filter('thumb') }}" class="card-img-top" style="width:100%; height:auto;">
          {% endif %}
          <div class="card-body">
            <h5 class="card-title">
              <a href="{{ path('property.show', {id: property.id, slug: property.slug}) }}">{{ property.title }}</a>
            </h5>
            <p class="
                  card-text">{{ property.city }} ({{ property.postalCode }})</p>
            <div class="text-primary" style="font-size:1.5rem">{{ property.formattedPrice }} €</div>
          </div>
        </div>
      </div>
      {% endfor %}
    </div>
  </div>
{% endblock %}